<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            #{hl7MPManagerBean.selectProfileByOid()}
            <s:div id="globalDiv"><h1>#{hl7MPManagerBean.selectedProfile.oid}</h1>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.hl7.HL7MessagesProfileDetails']}"/>
                    </ui:define>
                    <div class="row">
                        <div class="col-lg-6">
                            <s:div styleClass="message"
                                   rendered="#{hl7MPManagerBean.selectedProfile.importedWithErrors}">
                                <h:outputText
                                        value="#{messages['gazelle.hl7.validator.ThisProfileIsUptodateButIsNotValidAccordingToThe']}"/>
                            </s:div>
                            <div class="form-horizontal">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="oidDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.profileOid']}"/>
                                        </ui:define>
                                        <h:outputText id="oidDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.oid}"/>
                                        <h:commandLink id="downloadButton"
                                                       actionListener="#{hl7MPManagerBean.downloadSelectedProfile()}">
                                            <span class="gzl-icon-download"></span>
                                        </h:commandLink>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="domainDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.Domain']}"/>
                                        </ui:define>
                                        <h:outputText id="domainDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.domain.name}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="actorDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.Actor']}"/>
                                        </ui:define>
                                        <h:outputText id="actorDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.actor.name}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="transactionDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.Transaction']}"/>
                                        </ui:define>
                                        <h:outputText id="transactionDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.transaction.keyword}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="eventDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.MessageType']}"/>
                                        </ui:define>
                                        <h:outputText id="eventDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.triggerEvent}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                                rendered="#{not empty hl7MPManagerBean.selectedMessageProfileReference.messageOrderControlCode}">
                                        <ui:param name="id" value="moccDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText
                                                    value="#{messages['gazelle.hl7mpr.MessageOrderControlCode']}"/>
                                        </ui:define>
                                        <h:outputText id="moccDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.messageOrderControlCode}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="hl7VersionDecorate"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7mpr.Hl7Version']}"/>
                                        </ui:define>
                                        <h:outputText id="hl7VersionDecorate"
                                                      value="#{hl7MPManagerBean.selectedMessageProfileReference.hl7Version}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                                rendered="#{not hl7MPManagerBean.editMode and not empty hl7MPManagerBean.selectedProfile.javaPackage}">
                                        <ui:param name="id" value="javaPackage"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.JavaPackage']}"/>
                                        </ui:define>
                                        <h:outputText id="javaPackage"
                                                      value="#{hl7MPManagerBean.selectedProfile.javaPackage}"/>
                                    </s:decorate>
                                    <div class="form-inline">
                                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                                    rendered="#{hl7MPManagerBean.editMode and s:hasRole('admin_role')}">
                                            <ui:param name="id" value="editJavaPackage"/>
                                            <ui:define name="label">
                                                <h:outputText value="#{messages['gazelle.hl7.validator.JavaPackage']}"/>
                                            </ui:define>
                                            <h:inputText id="editJavaPackage"
                                                         value="#{hl7MPManagerBean.selectedProfile.javaPackage}"
                                                         styleClass="form-control"/>
                                        </s:decorate>
                                    </div>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="lastChangedOn"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.LastChangedOn']}"/>
                                        </ui:define>
                                        <h:outputText id="lastChangedOn"
                                                      value="#{hl7MPManagerBean.selectedProfile.lastChanged}">
                                            <f:convertDateTime pattern="yyyy/MM/dd HH:mm:ss z"
                                                               timeZone="#{applicationConfiguration.getValueOfVariable('time_zone')}"/>
                                        </h:outputText>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="lastModifier"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['gazelle.hl7.validator.LastModifier']}"/>
                                        </ui:define>
                                        <h:outputText id="lastModifier"
                                                      value="#{hl7MPManagerBean.selectedProfile.lastModifier}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:param name="id" value="revision"/>
                                        <ui:define name="label">
                                            <h:outputText value="#{messages['net.ihe.gazelle.hl7.Revision']}"/>
                                        </ui:define>
                                        <h:outputText id="revision"
                                                      value="#{hl7MPManagerBean.selectedProfile.revision}"/>
                                    </s:decorate>

                                    <a4j:region id="format">
                                        <s:decorate
                                                template="/layout/display/_data_list_item.xhtml"
                                                rendered="#{s:hasRole('admin_role')}">
                                            <ui:param name="id" value="formatId"/>
                                            <ui:define name="label">
                                                <h:outputText value="#{messages['net.ihe.gazelle.hl7.Format']}"/>
                                            </ui:define>

                                            <h:outputText id="formatDecorate"
                                                          value="#{hl7MPManagerBean.selectedProfile.conformanceProfileFormat}"
                                                          rendered="#{not hl7MPManagerBean.editMode}"/>
                                            <h:selectOneMenu id="formatId"
                                                             value="#{hl7MPManagerBean.selectedProfile.conformanceProfileFormat}"
                                                             styleClass="form-control gzl-select-text"
                                                             rendered="#{hl7MPManagerBean.editMode}">
                                                <f:selectItem noSelectionOption="true" itemValue="#{null}"
                                                              itemLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                                                <f:selectItem itemValue="HL7v2xConformanceProfile"
                                                              itemLabel="HL7v2xConformanceProfile"/>
                                                <f:selectItem itemValue="ConformanceProfile"
                                                              itemLabel="ConformanceProfile"/>
                                                <a4j:ajax event="change" render="globalDiv"/>
                                            </h:selectOneMenu>
                                        </s:decorate>
                                    </a4j:region>


                                    <div class="form-inline">
                                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                                    rendered="#{s:hasRole('admin_role')}">
                                            <ui:param name="id" value="PathDecorate"/>
                                            <ui:define name="label">
                                                <h:outputText value="#{messages['net.ihe.gazelle.hl7.Path']}"/>
                                            </ui:define>
                                            <h:outputText id="PathDecorate"
                                                          value="#{hl7MPManagerBean.selectedProfile.path}"
                                                          rendered="#{not hl7MPManagerBean.editMode}"/>
                                            <h:inputText value="#{hl7MPManagerBean.selectedProfile.path}"
                                                         styleClass="form-control" style="width: 600px;"
                                                         rendered="#{hl7MPManagerBean.editMode}"/>


                                        </s:decorate>
                                    </div>


                                </dl>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/panels/_panel_title.xhtml" >
                                <ui:define name="panel_title">
                                    <h:outputText
                                            value="#{messages['gazelle.hl7.validator.UsedResourcesHL7Tables']} (#{messages['net.ihe.gazelle.hl7.Weight_2']})"
                                            style="font-weight:bold;" />
                                </ui:define>
                                <rich:list value="#{hl7MPManagerBean.selectedProfile.resources}" var="res"
                                           type="unordered" >
                                    <a target="_blank"
                                       href="#{applicationConfiguration.getValueOfVariable('application_url')}/browser/resource.seam?oid=#{res.oid}">#{res.oid}
                                        (#{res.weight})</a><br/>
                                </rich:list>
                            </ui:decorate>
                        </div>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="editButton"
                                           actionListener="#{hl7MPManagerBean.setEditMode(true)}"
                                           value="#{messages['net.ihe.gazelle.hl7.EditProfile']}"
                                           styleClass="gzl-btn-blue"
                                           rendered="#{s:hasRole('admin_role') and not hl7MPManagerBean.editMode}"
                                           render="globalDiv"/>
                        <a4j:commandButton id="saveButton" actionListener="#{hl7MPManagerBean.saveProfile()}"
                                           value="#{messages['gazelle.hl7.validator.SaveChanges']}"
                                           styleClass="gzl-btn-green" rendered="#{hl7MPManagerBean.editMode}"
                                           render="globalDiv"/>
                        <a4j:commandButton id="backButton" action="/browser/profilesList.seam"
                                           value="#{messages['gazelle.hl7.validator.DisplayAllProfiles']}"
                                           styleClass="gzl-btn"/>
                    </ui:define>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.ProfileContent']}
                        <h:commandLink id="fullScreenIcon" styleClass="pull-right"
                                       action="#{hl7MPManagerBean.goToFullView()}">
                            <span class="fa fa-expand"></span>
                        </h:commandLink>
                    </ui:define>
                    <object data="#{applicationConfiguration.getValueOfVariable('application_url')}/viewProfile.seam?oid=#{hl7MPManagerBean.selectedProfile.oid}"
                            type="text/xml" width="100%" height="800px"/>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
